# HTML Parameter Reference

$Id: param.xweb,v 1.29 2002/02/10 10:21:22 kosek Exp $
Walsh
Norman
1999
2000
2001
Norman Walsh

## Introduction

This is technical reference documentation for the DocBook XSL Stylesheets; it documents (some of) the parameters, templates, and other elements of the stylesheets.

This reference describes each of the HTML Stylesheet parameters. These are the easily customizable parts of the stylesheet. If you want to specify an alternate value for one or more of these parameters, you can do so in a driver stylesheet.

For example, if you want to change the `html.stylesheet` to `reference.css`, you might create a driver stylesheet like this:

    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version='1.0'>

      <xsl:import href="http://docbook.sourceforge.net/release/xsl/snapshot/html/docbook.xsl"/>

      <xsl:param name="html.stylesheet">reference.css</xsl:param>

    </xsl:stylesheet>

Naturally, you have to change the `href` attribute on `<xsl:import>` to point to `docbook.xsl` on your system. (Or `chunk.xsl`, if you're using chunking.)

This is not intended to be user documentation. It is provided for developers writing customization layers for the stylesheets, and for anyone who's interested in how it works.

Although I am trying to be thorough, this documentation is known to be incomplete. Don't forget to read the source, too :-)

## Admonitions

admon.graphics.extension
string

## admon.graphics.extension

Extension for admonition graphics
<xsl:param name="admon.graphics.extension" select="'.png'"/>

### Description

Sets the extension to use on admonition graphics.

admon.graphics.path
string

## admon.graphics.path

Path to admonition graphics
<xsl:param name="admon.graphics.path">images/</xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the admonition graphics.

admon.graphics
boolean

## admon.graphics

Use graphics in admonitions?
<xsl:param name="admon.graphics" select="0"/>

### Description

If true (non-zero), admonitions are presented in an alternate style that uses a graphic. Default graphics are provided in the distribution.

admon.style
string

## admon.style

CSS style attributes for admonitions
<xsl:param name="admon.style"> <xsl:text>margin-left: 0.5in; margin-right: 0.5in;</xsl:text> </xsl:param>

### Description

Specifies the value of the `STYLE` attribute that should be added to admonitions.

## Callouts

callout.defaultcolumn
integer

## callout.defaultcolumn

Indicates what column callouts appear in by default
<xsl:param name="callout.defaultcolumn" select="'60'"/>

### Description

If a callout does not identify a column (for example, if it uses the `linerange` `unit`), it will appear in the default column.

callout.graphics.extension
string

## callout.graphics.extension

Extension for callout graphics
<xsl:param name="callout.graphics.extension" select="'.png'"/>

### Description

Sets the extension to use on callout graphics.

callout.graphics.number.limit
integer

## callout.graphics.number.limit

Number of the largest callout graphic
<xsl:param name="callout.graphics.number.limit" select="'10'"/>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.graphics.path
string

## callout.graphics.path

Path to callout graphics
<xsl:param name="callout.graphics.path" select="'images/callouts/'"/>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the callout graphics.

callout.graphics
boolean

## callout.graphics

Use graphics for callouts?
<xsl:param name="callout.graphics" select="'1'"/>

### Description

If non-zero, callouts are presented with graphics (e.g., reverse-video circled numbers instead of "(1)", "(2)", etc.). Default graphics are provided in the distribution.

callout.list.table
boolean

## callout.list.table

Present callout lists using a table?
<xsl:param name="callout.list.table" select="'1'"/>

### Description

The default presentation of `CalloutList`s uses an HTML `DL`. Some browsers don't align DLs very well if `callout.graphics` are used. With this option turned on, `CalloutList`s are presented in an HTML `TABLE`, which usually results in better alignment of the callout number with the callout description.

callout.unicode.number.limit
integer

## callout.unicode.number.limit

Number of the largest callout graphic
<xsl:param name="callout.unicode.number.limit" select="'10'"/>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.unicode.start.character
integer

## callout.unicode.start.character

First Unicode character to use, decimal value.
<xsl:param name="callout.unicode.start.character" select="10102"/>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.unicode
boolean

## callout.unicode

Use Unicode characters rather than images for callouts.
<xsl:param name="callout.unicode" select="0"/>

### Description

The stylesheets can use either an image of the numbers one to ten, or the single Unicode character which represents the numeral, in white on a black background. Use this to select the Unicode character option.

callouts.extension
boolean

## callouts.extension

Enable the callout extension
<xsl:param name="callouts.extension" select="'1'"/>

### Description

The callouts extension processes `areaset` elements in `ProgramListingCO` and other text-based callout elements.

## EBNF

ebnf.table.bgcolor
string

## ebnf.table.bgcolor

Background color for EBNF tables
<xsl:param name="ebnf.table.bgcolor" select="'#F5DCB3'"/>

### Description

Sets the background color for EBNF tables. No `bgcolor` attribute is output if `ebnf.table.bgcolor` is set to the null string. The default value matches the value used in recent online versions of the W3C's XML Spec productions.

ebnf.table.border

## ebnf.table.border

Selects border on EBNF tables
<xsl:param name="ebnf.table.border" select="1"/>

### Description

Selects the border on EBNF tables. If non-zero, the tables have borders, otherwise they don't.

## ToC/LoT/Index Generation

annotate.toc
boolean

## annotate.toc

Annotate the Table of Contents?
<xsl:param name="annotate.toc" select="1"/>

### Description

If true, TOCs will be annotated. At present, this just means that the `RefPurpose` of `RefEntry` TOC entries will be displayed.

autotoc.label.separator
string

## autotoc.label.separator

Separator between labels and titles in the ToC
<xsl:param name="autotoc.label.separator" select="'. '"/>

### Description

String to use to seperate labels and title in a table of contents.

generate.appendix.toc
boolean

## generate.appendix.toc

Specify if a table of contents is required for an appendix
<xsl:param name="generate.appendix.toc" select="1"/>

### Description

Specify whether you want a table of contents in each appendix.

generate.article.toc
boolean

## generate.article.toc

Specify if a toc is wanted for an article.
<xsl:param name="generate.article.toc" select="1"/>

### Description

Specify whether a table of contents is required for an article.

generate.book.toc
boolean

## generate.book.toc

Do you want a table of contents in the book?
<xsl:param name="generate.book.toc" select="1"/>

### Description

Specify if a table of contents is required in the book.

generate.chapter.toc
boolean

## generate.chapter.toc

Do you want a table of contents for chapters?
<xsl:param name="generate.chapter.toc" select="1"/>

### Description

Specify if a table of contents should be generated for each chapter.

generate.component.toc
boolean

## generate.component.toc

Should TOCs be genereated in components (Chapters, Appendixes, etc.)?
<xsl:param name="generate.component.toc" select="1"/>

### Description

If true (non-zero), they are.

generate.division.toc
boolean

## generate.division.toc

Should TOCs be genereated in divisions (Books, Parts, etc.)?
<xsl:param name="generate.division.toc" select="1"/>

### Description

If true (non-zero), they are.

generate.part.toc
boolean

## generate.part.toc

Do you want an index for each part?
<xsl:param name="generate.part.toc" select="1"/>

### Description

Specify if an index should be generated for each part.

generate.preface.toc
boolean

## generate.preface.toc

Do you want a table of contents for the preface?
<xsl:param name="generate.preface.toc" select="1"/>

### Description

Specify if a table of contents should be generated for the preface

generate.qandadiv.toc
boolean

## generate.qandadiv.toc

Is a Table of Contents created for QandADivs?
<xsl:param name="generate.qandadiv.toc">0</xsl:param>

### Description

If true (non-zero), a ToC is constructed for QandADivs.

generate.qandaset.toc
boolean

## generate.qandaset.toc

Is a Table of Contents created for QandASets?
<xsl:param name="generate.qandaset.toc">1</xsl:param>

### Description

If true (non-zero), a ToC is constructed for QandASets.

generate.reference.toc
boolean

## generate.reference.toc

Do you want a list of references?
<xsl:param name="generate.reference.toc" select="1"/>

### Description

Specify if a list of references should be generated, similar to a table of contents, but for all `reference` elements.

generate.section.toc
boolean

## generate.section.toc

Generate TOCs inside Sections?
<xsl:param name="generate.section.toc" select="1"/>

### Description

If non-zero, a Table of Contents will be generated inside section elements. Note that `generate.section.toc.level` may suppress some section TOCs.

generate.set.toc
boolean

## generate.set.toc

Do you want a table of contents in each set?
<xsl:param name="generate.set.toc" select="1"/>

### Description

Specify if a table of contents is required in each set.

generate.section.toc.level
integer

## generate.section.toc.level

Control depth of TOC generation in sections
<xsl:param name="generate.section.toc.level" select="0"/>

### Description

The `generate.section.toc.level` parameter controls the depth of section in which TOCs will be generated. Note that this is related to, but not the same as `toc.section.depth`, which controls the depth to which TOC entries will be generated in a given TOC.

If, for example, `generate.section.toc.level` is `3`, TOCs will be generated in first, second, and third level sections, but not in fourth level sections.

generate.index
boolean

## generate.index

Do you want an index?
<xsl:param name="generate.index" select="1"/>

### Description

Specify if an index should be generated.

toc.list.type
list
dl
ul
ol

## toc.list.type

Type of HTML list element to use for Tables of Contents
<xsl:param name="toc.list.type">dl</xsl:param>

### Description

When an automatically generated Table of Contents (or List of Titles) is produced, this HTML element will be used to make the list.

toc.section.depth
integer

## toc.section.depth

How deep should recursive `section`s appear in the TOC?
<xsl:param name="toc.section.depth">2</xsl:param>

### Description

Specifies the depth to which recursive sections should appear in the TOC.

process.source.toc
boolean

## process.source.toc

FIXME:
<xsl:param name="process.source.toc" select="0"/>

### Description

FIXME:

process.empty.source.toc
boolean

## process.empty.source.toc

FIXME:
<xsl:param name="process.empty.source.toc" select="0"/>

### Description

FIXME:

bridgehead.in.toc
boolean

## bridgehead.in.toc

Should bridgehead elements appear in the TOC?
<xsl:param name="bridgehead.in.toc" select="0"/>

### Description

If non-zero, bridgeheads appear in the TOC. Note that this option is not fully supported and may be removed in a future version of the stylesheets.

manual.toc
string

## manual.toc

An explicit TOC to be used for the TOC
<xsl:param name="manual.toc" select="''"/>

### Description

The `manual.toc` identifies an explicit TOC that will be used for building the printed TOC.

## Extensions

linenumbering.everyNth
integer

## linenumbering.everyNth

Indicate which lines should be numbered
<xsl:param name="linenumbering.everyNth" select="'5'"/>

### Description

If line numbering is enabled, everyNth line will be numbered.

linenumbering.extension
boolean

## linenumbering.extension

Enable the line numbering extension
<xsl:param name="linenumbering.extension" select="'1'"/>

### Description

If true, verbatim environments (elements that have the format='linespecific' notation attribute: address, literallayout, programlisting, screen, synopsis) that specify line numbering will have, surprise, line numbers.

linenumbering.separator
string

## linenumbering.separator

Specify a separator between line numbers and lines
<xsl:param name="linenumbering.separator" select="' '"/>

### Description

The separator is inserted between line numbers and lines in the verbatim environment.

linenumbering.width
integer

## linenumbering.width

Indicates the width of line numbers
<xsl:param name="linenumbering.width" select="'3'"/>

### Description

If line numbering is enabled, line numbers will appear right justified in a field "width" characters wide.

tablecolumns.extension
boolean

## tablecolumns.extension

Enable the table columns extension function
<xsl:param name="tablecolumns.extension" select="'1'"/>

### Description

The table columns extension function adjusts the widths of table columns in the HTML result to more accurately reflect the specifications in the CALS table.

textinsert.extension
boolean

## textinsert.extension

Enable the textinsert extension element
<xsl:param name="textinsert.extension" select="'1'"/>

### Description

The textinsert extension element inserts the contents of a a file into the result tree (as text).

use.extensions
boolean

## use.extensions

Enable extensions
<xsl:param name="use.extensions" select="'0'"/>

### Description

If non-zero, extensions may be used. Each extension is further controlled by its own parameter. But if `use.extensions` is zero, no extensions will be used.

## Automatic labelling

chapter.autolabel
boolean

## chapter.autolabel

Are chapters automatically enumerated?
<xsl:param name="chapter.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled chapters will be enumerated.

appendix.autolabel
boolean

## appendix.autolabel

Are Appendixes automatically enumerated?
<xsl:param name="appendix.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled appendixes will be enumerated.

part.autolabel
boolean

## part.autolabel

Are parts and references enumerated?
<xsl:param name="part.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled parts and references will be enumerated.

preface.autolabel
boolean

## preface.autolabel

Are prefaces enumerated?
<xsl:param name="preface.autolabel" select="0"/>

### Description

If true (non-zero), unlabeled prefaces will be enumerated.

qandadiv.autolabel
boolean

## qandadiv.autolabel

Are divisions in QAndASets enumerated?
<xsl:param name="qandadiv.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled qandadivs will be enumerated.

section.autolabel
boolean

## section.autolabel

Are sections enumerated?
<xsl:param name="section.autolabel" select="0"/>

### Description

If true (non-zero), unlabeled sections will be enumerated.

section.label.includes.component.label
boolean

## section.label.includes.component.label

Do section labels include the component label?
<xsl:param name="section.label.includes.component.label" select="0"/>

### Description

If true (non-zero), section labels are prefixed with the label of the component that contains them.

label.from.part
boolean

## label.from.part

Renumber chapters in each part?
<xsl:param name="label.from.part" select="'0'"/>

### Description

If `label.from.part` is non-zero, components (`chapter`s, `appendixe`s, etc.) will be numbered from 1 in each `part`. Otherwise, they will be numbered monotonically throughout each `book`.

## HTML

html.base
uri

## html.base

An HTML base URI
<xsl:param name="html.base"/>

### Description

If html.base is set, it is used for the `BASE` element in the `HEAD` of the HTML documents. This is useful for dynamically served HTML where the base URI needs to be shifted.

html.stylesheet.type
string

## html.stylesheet.type

The type of the stylesheet used in the generated HTML
<xsl:param name="html.stylesheet.type">text/css</xsl:param>

### Description

The type of the stylesheet to place in the HTML `link` tag.

html.stylesheet
string

## html.stylesheet

Name of the stylesheet to use in the generated HTML
<xsl:param name="html.stylesheet" select="''"/>

### Description

The name of the stylesheet to place in the HTML `LINK` tag, or the empty string to suppress the stylesheet `LINK`.

use.id.as.filename
boolean

## use.id.as.filename

Use ID value of chunk elements as the filename?
<xsl:param name="use.id.as.filename" select="'0'"/>

### Description

If `use.id.as.filename` is non-zero, the filename of chunk elements that have IDs will be derived from the ID value.

css.decoration
boolean

## css.decoration

Enable CSS decoration of elements
<xsl:param name="css.decoration">1</xsl:param>

### Description

If `css.decoration` is turned on, then HTML elements produced by the stylesheet may be decorated with STYLE attributes. For example, the LI tags produced for list items may include a fragment of CSS in the STYLE attribute which sets the CSS property "list-style-type".

spacing.paras
boolean

## spacing.paras

Insert additional <p> elements for spacing?
<xsl:param name="spacing.paras" select="'0'"/>

### Description

When non-zero, additional, empty paragraphs are inserted in several contexts (for example, around informal figures), to create a more pleasing visual appearance in many browsers.

emphasis.propagates.style
boolean

## emphasis.propagates.style

Pass emphasis role attribute through to HTML?
<xsl:param name="emphasis.propagates.style" select="1"/>

### Description

If true, the role attribute of `emphasis` elements will be passed through to the HTML as a class attribute on a `span` that surrounds the emphasis.

phrase.propagates.style
boolean

## phrase.propagates.style

Pass phrase role attribute through to HTML?
<xsl:param name="phrase.propagates.style" select="1"/>

### Description

If true, the role attribute of `phrase` elements will be passed through to the HTML as a class attribute on a `span` that surrounds the phrase.

stylesheet.result.type
list
html
fo

## stylesheet.result.type

Identifies the output format of this stylesheet
<xsl:param name="stylesheet.result.type" select="'html'"/>

### Description

The Saxon extension functions need to know if the output format is HTML ('html') or XSL Formatting Objects ('fo'). This variable answers that question. Valid settings are 'html' or 'fo'.

html.longdesc
boolean

## html.longdesc

Should longdesc URIs be created?
<xsl:param name="html.longdesc" select="1"/>

### Description

If non-zero, HTML files will be created for the `longdesc` attribute. These files are created from the `textobject`s in `mediaobject`s and `inlinemediaobject`.

html.longdesc.link
boolean

## html.longdesc.link

Should a link to the longdesc be included in the HTML?
<xsl:param name="html.longdesc.link" select="$html.longdesc"/>

### Description

If non-zero, links will be created to the HTML files created for the `longdesc` attribute. It makes no sense to turn enable this option without also enabling the `$html.longdesc` parameter.

The `longdesc.link` named template is called to construct the link.

make.valid.html
boolean

## make.valid.html

Attempt to make sure the HTML output is valid HTML
<xsl:param name="make.valid.html" select="0"/>

### Description

If `make.valid.html` is true, the stylesheets take extra effort to ensure that the resulting HTML is valid. This may mean that some `para` tags are translated into HTML `div`s or that other substitutions occur.

This parameter is different from `html.cleanup` because it changes the resulting markup; it does not use extension functions to manipulate result-tree-fragments and is therefore applicable to any XSLT processor.

html.cleanup
boolean

## html.cleanup

Attempt to clean up the resulting HTML?
<xsl:param name="html.cleanup" select="1"/>

### Description

If non-zero, and if the EXSLT extensions are supported by your processor, the resulting HTML will be cleaned up. This improves the chances that the resulting HTML will be valid. It may also improve the formatting of some elements.

This parameter is different from `make.valid.html` because it uses extension functions to manipulate result-tree-fragments.

draft.watermark.image
uri

## draft.watermark.image

The URI of the image to be used for draft watermarks
<xsl:param name="draft.watermark.image" select="'http://docbook.sourceforge.net/release/images/draft.png'"/>

### Description

The image to be used for draft watermarks.

## XSLT Processing

rootid
string

## rootid

Specify the root element to format
<xsl:param name="rootid" select="''"/>

### Description

If `rootid` is specified, it must be the value of an ID that occurs in the document being formatted. The entire document will be loaded and parsed, but formatting will begin at the element identified, rather than at the root. For example, this allows you to process only chapter 4 of a book.

Because the entire document is available to the processor, automatic numbering, cross references, and other dependencies are correctly resolved.

suppress.navigation
boolean

## suppress.navigation

Disable header and footer navigation
<xsl:param name="suppress.navigation">0</xsl:param>

### Description

If `suppress.navigation` is turned on, header and footer navigation will be suppressed.

## Meta/*Info

inherit.keywords
boolean

## inherit.keywords

Inherit keywords from ancestor elements?
<xsl:param name="inherit.keywords" select="'1'"/>

### Description

If `inherit.keywords` is non-zero, the keyword `META` for each HTML `HEAD` element will include all of the keywords from ancestral elements. Otherwise, only the keywords from the current section will be used.

make.single.year.ranges
boolean

## make.single.year.ranges

Print single-year ranges (e.g., 1998-1999)
<xsl:param name="make.single.year.ranges" select="0"/>

### Description

If non-zero, year ranges that span a single year will be printed in range notation (1998-1999) instead of discrete notation (1998, 1999).

make.year.ranges
boolean

## make.year.ranges

Collate copyright years into ranges?
<xsl:param name="make.year.ranges" select="0"/>

### Description

If non-zero, copyright years will be collated into ranges.

author.othername.in.middle
boolean

## author.othername.in.middle

Is `othername` in `author` a middle name?
<xsl:param name="author.othername.in.middle" select="1"/>

### Description

If true (non-zero), the `othername` of an `author` appears between the `firstname` and `surname`. Otherwise, `othername` is suppressed.

generate.legalnotice.link
boolean

## generate.legalnotice.link

TBD
<xsl:param name="generate.legalnotice.link" select="0"/>

### Description

TBD

## Reference Pages

funcsynopsis.decoration
boolean

## funcsynopsis.decoration

Decorate elements of a FuncSynopsis?
<xsl:param name="funcsynopsis.decoration" select="1"/>

### Description

If true (non-zero), elements of the FuncSynopsis will be decorated (e.g. bold or italic). The decoration is controlled by functions that can be redefined in a customization layer.

funcsynopsis.style
list
ansi
kr

## funcsynopsis.style

What style of 'FuncSynopsis' should be generated?
<xsl:param name="funcsynopsis.style">kr</xsl:param>

### Description

If `funcsynopsis.style` is `ansi`, ANSI-style function synopses are generated for a `funcsynopsis`, otherwise K&R-style function synopses are generated.

function.parens
boolean

## function.parens

Generate parens after a function?
<xsl:param name="function.parens">0</xsl:param>

### Description

If not 0, the formatting of a `function` element will include generated parenthesis.

refentry.generate.name
boolean

## refentry.generate.name

Output NAME header before 'RefName'(s)?
<xsl:param name="refentry.generate.name" select="1"/>

### Description

If true (non-zero), a "NAME" section title is output before the list of 'RefName's. This parameter and `refentry.generate.title` are mutually exclusive.

refentry.generate.title
boolean

## refentry.generate.title

Output title before 'RefName'(s)?
<xsl:param name="refentry.generate.title" select="0"/>

### Description

If true (non-zero), the reference page title or first name is output before the list of 'RefName's. This parameter and `refentry.generate.name` are mutually exclusive.

refentry.xref.manvolnum
boolean

## refentry.xref.manvolnum

Output `manvolnum` as part of `refentry` cross-reference?
<xsl:param name="refentry.xref.manvolnum" select="1"/>

### Description

if true (non-zero), the `manvolnum` is used when cross-referencing `refentry`s, either with `xref` or `citerefentry`.

citerefentry.link
boolean

## citerefentry.link

Generate URL links when cross-referencing RefEntrys?
<xsl:param name="citerefentry.link" select="'0'"/>

### Description

If true, a web link will be generated, presumably to an online man->HTML gateway. The text of the link is generated by the generate.citerefentry.link template.

refentry.separator
boolean

## refentry.separator

Generate a separator between consecutive RefEntry elements?
<xsl:param name="refentry.separator" select="'1'"/>

### Description

If true, a separator will be generated between consecutive reference pages.

## Tables

default.table.width
length

## default.table.width

The default width of tables
<xsl:param name="default.table.width" select="''"/>

### Description

If specified, this value will be used for the WIDTH attribute on tables that do not specify an alternate width (with the dbhtml processing instruction).

nominal.table.width
length

## nominal.table.width

The (absolute) nominal width of tables
<xsl:param name="nominal.table.width" select="'6in'"/>

### Description

In order to convert CALS column widths into HTML column widths, it is sometimes necessary to have an absolute table width to use for conversion of mixed absolute and relative widths. This value must be an absolute length (not a percentag).

table.borders.with.css
boolean

## table.borders.with.css

Use CSS to specify table, row, and cell borders?
<xsl:param name="table.borders.with.css" select="0"/>

### Description

If true (non-zero), CSS will be used to draw table borders.

table.border.style

## table.border.style

<xsl:param name="table.border.style" select="'solid'"/>

### Description

FIXME:

table.border.thickness

## table.border.thickness

<xsl:param name="table.border.thickness" select="'0.5pt'"/>

### Description

FIXME:

table.border.color

## table.border.color

<xsl:param name="table.border.color" select="'black'"/>

### Description

FIXME:

## QAndASet

qanda.defaultlabel
boolean

## qanda.defaultlabel

Sets the default for defaultlabel on QandASet.
<xsl:param name="qanda.defaultlabel">number</xsl:param>

### Description

If no defaultlabel attribute is specified on a QandASet, this value is used. It must be one of the legal values for the defaultlabel attribute.

qanda.inherit.numeration
boolean

## qanda.inherit.numeration

Does enumeration of QandASet components inherit the numeration of parent elements?
<xsl:param name="qanda.inherit.numeration" select="1"/>

### Description

If true (non-zero), numbered QandADiv elements and Questions and Answers inherit the numeration of the ancestors of the QandASet.

## Linking

link.mailto.url
string

## link.mailto.url

Mailto URL for the LINK REL=made HTML HEAD element
<xsl:param name="link.mailto.url"/>

### Description

If not the empty string, this address will be used for the REL=made `LINK` element in the HTML `HEAD`.

ulink.target
string

## ulink.target

The HTML anchor target for ULinks
<xsl:param name="ulink.target" select="'_top'"/>

### Description

If `ulink.target` is set, its value will be used for the `target` attribute on anchors generated for `ulink`s.

olink.fragid
string

## olink.fragid

Names the fragment identifier portion of an OLink resolver query
<xsl:param name="olink.fragid" select="'fragid='"/>

### Description

FIXME:

olink.outline.ext
string

## olink.outline.ext

The extension of OLink outline files
<xsl:param name="olink.outline.ext" select="'.olink'"/>

### Description

FIXME:

olink.pubid
string

## olink.pubid

Names the public identifier portion of an OLink resolver query
<xsl:param name="olink.pubid" select="'pubid='"/>

### Description

FIXME:

olink.sysid
string

## olink.sysid

Names the system identifier portion of an OLink resolver query
<xsl:param name="olink.sysid" select="'sysid='"/>

### Description

FIXME:

olink.resolver

## olink.resolver

The root name of the OLink resolver (usually a script)
<xsl:param name="olink.resolver" select="'/cgi-bin/olink'"/>

### Description

FIXME:

## Bibliography

biblioentry.item.separator
string

## biblioentry.item.separator

Text to separate bibliography entries
<xsl:param name="biblioentry.item.separator">. </xsl:param>

### Description

Text to separate bibliography entries

bibliography.collection
string

## bibliography.collection

Name of the bibliography collection file
<xsl:param name="bibliography.collection" select="'http://docbook.sourceforge.net/release/bibliography/bibliography.xml'"/>

### Description

Maintaining bibliography entries across a set of documents is tedious, time consuming, and error prone. It makes much more sense, usually, to store all of the bibliography entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `bibliography.collection` parameter. To setup a global bibliography database, follow these steps:

First, create a stand-alone bibliography document that contains all of the documents that you wish to reference. Make sure that each bibliography entry (whether you use `biblioentry` or `bibliomixed`) has an ID.

My global bibliography, `~/bibliography.xml` begins like this:

    <!DOCTYPE bibliography
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <bibliography><title>References</title>

    <bibliomixed id="xml-rec"><abbrev>XML 1.0</abbrev>Tim Bray,
    Jean Paoli, C. M. Sperberg-McQueen, and Eve Maler, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml">Extensible Markup
    Language (XML) 1.0 Second Edition</ulink></citetitle>.
    World Wide Web Consortium, 2000.
    </bibliomixed>

    <bibliomixed id="xml-names"><abbrev>Namespaces</abbrev>Tim Bray,
    Dave Hollander,
    and Andrew Layman, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml-names/">Namespaces in
    XML</ulink></citetitle>.
    World Wide Web Consortium, 1999.
    </bibliomixed>

    <!-- ... -->
    </bibliography>

When you create a bibliography in your document, simply provide empty `bibliomixed` entries for each document that you wish to cite. Make sure that these elements have the same ID as the corresponding real entry in your global bibliography.

For example:

    <bibliography><title>Bibliography</title>

    <bibliomixed id="xml-rec"/>
    <bibliomixed id="xml-names"/>
    <bibliomixed id="DKnuth86">Donald E. Knuth. <citetitle>Computers and
    Typesetting: Volume B, TeX: The Program</citetitle>. Addison-Wesley,
    1986.  ISBN 0-201-13437-3.
    </bibliomixed>
    <bibliomixed id="relaxng"/>

    </bibliography>

Note that it's perfectly acceptable to mix entries from your global bibliography with normal entries. You can use `xref` or other elements to cross-reference your bibliography entries in exactly the same way you do now.

Finally, when you are ready to format your document, simply set the `bibliography.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global bibliography.

The stylesheets will format the bibliography in your document as if all of the entries referenced appeared there literally.

## Glossary

glossterm.auto.link
boolean

## glossterm.auto.link

Generate links from glossterm to glossentry automaticaly?
<xsl:param name="glossterm.auto.link" select="'0'"/>

### Description

If true, a link will be automatically created from glossterm to glossentry for that glossary term. This is usefull when your glossterm names are consistent and you don't want to add links manually.

If there is `linkend` on `glossterm` then is used instead of autogeneration of link.

firstterm.only.link
boolean

## firstterm.only.link

Does automatic glossterm linking only apply to firstterms?
<xsl:param name="firstterm.only.link" select="0"/>

### Description

If true, only `firstterm`s will be automatically linked to the glossary. If glossary linking is not enabled, this parameter has no effect.

glossary.collection
string

## glossary.collection

Name of the glossary collection file
<xsl:param name="glossary.collection" select="''"/>

### Description

Glossaries maintained independently across a set of documents are likely to become inconsistent unless considerable effort is expended to keep them in sync. It makes much more sense, usually, to store all of the glossary entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `glossary.collection` parameter. To setup a global glossary database, follow these steps:

#### Setting Up the Glossary Database

First, create a stand-alone glossary document that contains all of the entries that you wish to reference. Make sure that each glossary entry has an ID.

Here's an example glossary:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE glossary
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <glossary>
    <glossaryinfo>
    <editor><firstname>Eric</firstname><surname>Raymond</surname></editor>
    <title>Jargon File 4.2.3 (abridged)</title>
    <releaseinfo>Just some test data</releaseinfo>
    </glossaryinfo>

    <glossdiv><title>0</title>

    <glossentry>
    <glossterm>0</glossterm>
    <glossdef>
    <para>Numeric zero, as opposed to the letter `O' (the 15th letter of
    the English alphabet). In their unmodified forms they look a lot
    alike, and various kluges invented to make them visually distinct have
    compounded the confusion. If your zero is center-dotted and letter-O
    is not, or if letter-O looks almost rectangular but zero looks more
    like an American football stood on end (or the reverse), you're
    probably looking at a modern character display (though the dotted zero
    seems to have originated as an option on IBM 3270 controllers). If
    your zero is slashed but letter-O is not, you're probably looking at
    an old-style ASCII graphic set descended from the default typewheel on
    the venerable ASR-33 Teletype (Scandinavians, for whom /O is a letter,
    curse this arrangement). (Interestingly, the slashed zero long
    predates computers; Florian Cajori's monumental "A History of
    Mathematical Notations" notes that it was used in the twelfth and
    thirteenth centuries.) If letter-O has a slash across it and the zero
    does not, your display is tuned for a very old convention used at IBM
    and a few other early mainframe makers (Scandinavians curse <emphasis>this</emphasis>
    arrangement even more, because it means two of their letters collide).
    Some Burroughs/Unisys equipment displays a zero with a <emphasis>reversed</emphasis>
    slash. Old CDC computers rendered letter O as an unbroken oval and 0
    as an oval broken at upper right and lower left. And yet another
    convention common on early line printers left zero unornamented but
    added a tail or hook to the letter-O so that it resembled an inverted
    Q or cursive capital letter-O (this was endorsed by a draft ANSI
    standard for how to draw ASCII characters, but the final standard
    changed the distinguisher to a tick-mark in the upper-left corner).
    Are we sufficiently confused yet?</para>
    </glossdef>
    </glossentry>

    <glossentry>
    <glossterm>1TBS</glossterm>
    <glossdef>
    <para role="accidence">
    <phrase role="pronounce"></phrase>
    <phrase role="partsofspeach">n</phrase>
    </para>
    <para>The "One True Brace Style"</para>
    <glossseealso>indent style</glossseealso>
    </glossdef>
    </glossentry>

    <!-- ... -->

    </glossdiv>

    <!-- ... -->

    </glossary>

#### Marking Up Glossary Terms

That takes care of the glossary database, now you have to get the entries into your document. Unlike bibliography entries, which can be empty, creating placeholder glossary entries would be very tedious. So instead, support for `glossary.collection` relies on implicit linking.

In your source document, simply use `firstterm` and `glossterm` to identify the terms you wish to have included in the glossary. The stylesheets assume that you will either set the `baseform` attribute correctly, or that the content of the element exactly matches a term in your glossary.

If you're using a `glossary.collection`, don't make explicit links on the terms in your document.

So, in your document, you might write things like this:

    <para>This is dummy text, without any real meaning.
    The point is simply to reference glossary terms like <glossterm>0</glossterm>
    and the <firstterm baseform="1TBS">One True Brace Style (1TBS)</firstterm>.
    The <glossterm>1TBS</glossterm>, as you can probably imagine, is a nearly
    religious issue.</para>

If you set the `firstterm.only.link` parameter, only the terms marked with `firstterm` will be links. Otherwise, all the terms will be linked.

#### Marking Up the Glossary

The glossary itself has to be identified for the stylesheets. For lack of a better choice, the `role` is used. To identify the glossary as the target for automatic processing, set the role to `auto`. The title of this glossary (and any other information from the `glossaryinfo` that's rendered by your stylesheet) will be displayed, but the entries will come from the database.

Unfortunately, the glossary can't be empty, so you must put in at least one `glossentry`. The content of this entry is irrelevant, it will not be rendered:

    <glossary role="auto">
    <glossentry>
    <glossterm>Irrelevant</glossterm>
    <glossdef>
    <para>If you can see this, the document was processed incorrectly. Use
    the <parameter>glossary.collection</parameter> parameter.</para>
    </glossdef>
    </glossentry>
    </glossary>

What about glossary divisions? If your glossary database has glossary divisions and your automatic glossary contains at least one `glossdiv`, the automic glossary will have divisions. If the `glossdiv` is missing from either location, no divisions will be rendered.

Glossary entries (and divisions, if appropriate) in the glossary will occur in precisely the order they occur in your database.

#### Formatting the Document

Finally, when you are ready to format your document, simply set the `glossary.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global glossary.

The stylesheets will format the glossary in your document as if all of the entries implicilty referenced appeared there literally.

## Miscellaneous

graphic.default.extension
string

## graphic.default.extension

Default extension for graphic filenames
<xsl:param name="graphic.default.extension"/>

### Description

If a `graphic` or `mediaobject` includes a reference to a filename that does not include an extension, and the `format` attribute is unspecified, the default extension will be used.

formal.procedures
boolean

## formal.procedures

Selects formal or informal procedures
<xsl:param name="formal.procedures" select="1"/>

### Description

Formal procedures are numbered and always hav a title.

runinhead.default.title.end.punct
string

## runinhead.default.title.end.punct

Default punctuation character on a run-in-head
<xsl:param name="runinhead.default.title.end.punct" select="'.'"/>

### Description

FIXME:

runinhead.title.end.punct
string

## runinhead.title.end.punct

Characters that count as punctuation on a run-in-head
<xsl:param name="runinhead.title.end.punct" select="'.!?:'"/>

### Description

FIXME:

show.comments
boolean

## show.comments

Display `comment` elements?
<xsl:param name="show.comments">1</xsl:param>

### Description

If true (non-zero), comments will be displayed, otherwise they are suppressed. Comments here refers to the `comment` element, which will be renamed `remark` in DocBook V4.0, not XML comments (<-- like this -->) which are unavailable.

show.revisionflag
boolean

## show.revisionflag

Enable decoration of elements that have a revisionflag
<xsl:param name="show.revisionflag">0</xsl:param>

### Description

If `show.revisionflag` is turned on, then the stylesheets may produce additional markup designed to allow a CSS stylesheet to highlight elements that have specific revisionflag settings.

The markup inserted will be usually be either a <span> or <div> with an appropriate `class` attribute. (The value of the class attribute will be the same as the value of the revisionflag attribute). In some contexts, for example tables, where extra markup would be structurally illegal, the class attribute will be added to the appropriate container element.

In general, the stylesheets only test for revisionflag in contexts where an importing stylesheet would have to redefine whole templates. Most of the revisionflag processing is expected to be done by another stylesheet, for example `changebars.xsl`.

shade.verbatim
boolean

## shade.verbatim

Should verbatim environments be shaded?
<xsl:param name="shade.verbatim" select="0"/>

### Description

FIXME:

shade.verbatim.style

## shade.verbatim.style

Properties that specify the style of shaded verbatim listings
<xsl:attribute-set name="shade.verbatim.style"> <xsl:attribute name="border">0</xsl:attribute> <xsl:attribute name="bgcolor">#E0E0E0</xsl:attribute> </xsl:attribute-set>

### Description

FIXME:

punct.honorific
string

## punct.honorific

Punctuation after an honorific in a personal name.
<xsl:param name="punct.honorific" select="'.'"/>

### Description

This parameter specifies the punctuation that should be added after an honorific in a personal name.

segmentedlist.as.table
boolean

## segmentedlist.as.table

Format segmented lists as tables?
<xsl:param name="segmentedlist.as.table" select="0"/>

### Description

If non-zero, `segmentedlist`s will be formatted as tables.

variablelist.as.table
boolean

## variablelist.as.table

Format `variablelist`s as tables?
<xsl:param name="variablelist.as.table" select="0"/>

### Description

If non-zero, `variablelist`s will be formatted as tables.

This parameter only applys to the HTML transformations. In the FO case, proper list markup is robust enough to handle the formatting. But see also `variablelist.as.blocks`.

tex.math.in.alt
string

## tex.math.in.alt

<xsl:param name="tex.math.in.alt" select="''"/>

### Description

If you want type math directly in TeX notation in equations, this parameter specifies notation used. Currently are supported two values -- `plain` and `latex`. Empty value means that you are not using TeX math at all.

Preferred way for including TeX alternative of math is inside of `textobject` element. Eg.:

    <inlineequation>
    <inlinemediaobject>
    <imageobject>
    <imagedata fileref="eq1.gif"/>
    </imageobject>
    <textobject><phrase>E=mc squared</phrase></textobject>
    <textobject role="tex"><phrase>E=mc^2</phrase></textobject>
    </inlinemediaobject>
    </inlineequation>

If you are using `graphic` element, you can store TeX inside `alt` element:

    <inlineequation>
    <alt role="tex">a^2+b^2=c^2</alt>
    <graphic fileref="a2b2c2.gif"/>
    </inlineequation>

If you want use this feature, you should process your FO with PassiveTeX, which only supports TeX math notation. When calling stylsheet, don't forget to specify also passivetex.extensions=1.

If you want equations in HTML, just process generated file `tex-math-equations.tex` by TeX or LaTeX. Then run dvi2bitmap program on result DVI file. You will get images for equations in your document.

tex.math.file
string

## tex.math.file

<xsl:param name="tex.math.file" select="'tex-math-equations.tex'"/>

### Description

Name of auxiliary file for TeX equations. This file can be processed by dvi2bitmap to get bitmap versions of equations for HTML output.

pixels.per.inch
integer

## pixels.per.inch

How many pixels are there per inch?
<xsl:param name="pixels.per.inch" select="90"/>

### Description

When lengths are converted to pixels, this value is used to determine the size of a pixel. The default value is taken from the XSL Recommendation.

## Chunking

using.chunker
boolean

## using.chunker

Will the output be chunked?
<xsl:param name="using.chunker" select="0"/>

### Description

In addition to providing chunking, the chunker can cleanup a number of XML to HTML issues. If the chunker is not being used, the stylesheets try to avoid producing results that will not appear properly in browsers.

html.ext

## html.ext

Identifies the extension of generated HTML files
<xsl:param name="html.ext" select="'.html'"/>

### Description

The extension identified by `html.ext` will be used as the filename extension for chunks created by this stylesheet.

root.filename

## root.filename

Identifies the name of the root HTML file when chunking
<xsl:param name="root.filename" select="'index'"/>

### Description

The `root.filename` is the base filename for the chunk created for the root of each document processed.

base.dir

## base.dir

The base directory of chunks
<xsl:param name="base.dir" select="''"/>

### Description

If specified, the `base.dir` identifies the output directory for chunks. (If not specified, the output directory is system dependent.)

chunk.toc
string

## chunk.toc

An explicit TOC to be used for chunking
<xsl:param name="chunk.toc" select="''"/>

### Description

The `chunk.toc` identifies an explicit TOC that will be used for chunking. This parameter is only used by the `chunktoc.xsl` stylesheet (and customization layers built from it).

chunk.section.depth
integer

## chunk.section.depth

Depth to which sections should be chunked
<xsl:param name="chunk.section.depth" select="1"/>

### Description

This parameter sets the depth of section chunking.

chunk.first.sections

## chunk.first.sections

Chunk the first top-level section?
<xsl:param name="chunk.first.sections" select="0"/>

### Description

If non-zero, a chunk will be created for the first top-level `sect1` or `section` elements in each component. Otherwise, that section will be part of the chunk for its parent.

saxon.character.representation
string

## saxon.character.representation

Saxon character representation used in generated HTML pages
<xsl:param name="saxon.character.representation" select="'entity;decimal'"/>

### Description

This character representation is used in files generated by chunking stylesheet. If you want to suppress entity references for characters with direct representation in default.encoding, set this parameter to value `native`.

default.encoding
string

## default.encoding

Encoding used in generated HTML pages
<xsl:param name="default.encoding" select="'ISO-8859-1'"/>

### Description

This encoding is used in files generated by chunking stylesheet. Currently only Saxon is able to change output encoding.

output.method
list
html
xml

## output.method

<xsl:param name="output.method" select="'html'"/>

### Description

Selects the output method for chunked documents.

chunk.datafile

## chunk.datafile

Name of the temporary file used to hold chunking data
<xsl:param name="chunk.datafile" select="'.chunks'"/>

### Description

Chunking is now a two-step process. The `chunk.datafile` is the name of the file used to hold the chunking data.

navig.graphics
boolean

## navig.graphics

Use graphics in navigational headers and footers?
<xsl:param name="navig.graphics" select="0"/>

### Description

If true (non-zero), the navigational headers and footers in chunked HTML are presented in an alternate style that uses graphical icons for Next, Previous, Up, and Home. Default graphics are provided in the distribution.

navig.graphics.extension
string

## navig.graphics.extension

Extension for navigational graphics
<xsl:param name="navig.graphics.extension" select="'.gif'"/>

### Description

Sets the filename extension to use on navigational graphics used in the headers and footers of chunked HTML.

navig.graphics.path
string

## navig.graphics.path

Path to navigational graphics
<xsl:param name="navig.graphics.path">images/</xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the navigational graphics used in the headers and footers of chunked HTML.

navig.showtitles
boolean

## navig.showtitles

Display titles in HTML headers and footers?
<xsl:param name="navig.showtitles">1</xsl:param>

### Description

If true (non-zero), the headers and footers of chunked HTML display the titles of the next and previous chunks, along with the words 'Next' and 'Previous' (or the equivalent graphical icons if navig.graphics is true). If false (zero), then only the words 'Next' and 'Previous' (or the icons) are displayed.

## HTML Help

htmlhelp.encoding
string

## htmlhelp.encoding

Character encoding to use in files for HTML Help compiler.
<xsl:param name="htmlhelp.encoding" select="'iso-8859-1'"/>

### Description

HTML Help Compiler is not UTF-8 aware, so you should always use apropriate single-byte encoding here.

htmlhelp.autolabel
boolean

## htmlhelp.autolabel

Should tree-like ToC use autonumbering feature?
<xsl:param name="htmlhelp.autolabel" select="0"/>

### Description

If you want to include chapter and section numbers into ToC in the left panel, set this parameter to 1.

htmlhelp.chm
string

## htmlhelp.chm

Filename of output HTML Help file.
<xsl:param name="htmlhelp.chm" select="'htmlhelp.chm'"/>

### Description

Change this parameter if you want different name of result CHM file than htmlhelp.chm.

htmlhelp.default.topic
string

## htmlhelp.default.topic

Name of file with default topic
<xsl:param name="htmlhelp.default.topic" select="''"/>

### Description

Normally first chunk of document is displayed when you open HTML Help file. If you want to display another topic, simply set its filename by this parameter.

This is useful especially if you don't generate ToC in front of your document and you also hide root element in ToC. E.g.:

    <xsl:param name="generate.book.toc" select="0"/>
    <xsl:param name="htmlhelp.hhc.show.root" select="0"/>
    <xsl:param name="htmlhelp.default.topic" select="'pr01.html'"/>

htmlhelp.hhp
string

## htmlhelp.hhp

Filename of project file.
<xsl:param name="htmlhelp.hhp" select="'htmlhelp.hhp'"/>

### Description

Change this parameter if you want different name of project file than htmlhelp.hhp.

htmlhelp.hhc
string

## htmlhelp.hhc

Filename of TOC file.
<xsl:param name="htmlhelp.hhc" select="'toc.hhc'"/>

### Description

Change this parameter if you want different name of TOC file than toc.hhc.

htmlhelp.hhp.tail
string

## htmlhelp.hhp.tail

Additional content for project file.
<xsl:param name="htmlhelp.hhp.tail"/>

### Description

If you want to include some additional parameters into project file, store appropriate part of project file into this parameter.

htmlhelp.enumerate.images
boolean

## htmlhelp.enumerate.images

Should be paths to all used images added to project file?
<xsl:param name="htmlhelp.enumerate.images" select="0"/>

### Description

You should turn on this flag, if you insert images into your documents as external binary entities or if you are using absolute path in image names.

htmlhelp.force.map.and.alias
boolean

## htmlhelp.force.map.and.alias

Should be [MAP] and [ALIAS] section added to project file unconditionaly?
<xsl:param name="htmlhelp.force.map.and.alias" select="0"/>

### Description

You should turn on this flag, if you have your own `alias.h` and `contex.h` files and you want include reference to them in project file.

htmlhelp.map.file
string

## htmlhelp.map.file

Filename of map file.
<xsl:param name="htmlhelp.map.file" select="'context.h'"/>

### Description

Change this parameter if you want different name of map file than `context.h`.

htmlhelp.alias.file
string

## htmlhelp.alias.file

Filename of map file.
<xsl:param name="htmlhelp.alias.file" select="'alias.h'"/>

### Description

Change this parameter if you want different name of map file than `alias.h`.

htmlhelp.hhc.section.depth
integer

## htmlhelp.hhc.section.depth

Depth of TOC for sections in a left pane.
<xsl:param name="htmlhelp.hhc.section.depth" select="5"/>

### Description

Change this parameter if you want shallower ToC in a left pane of HTML Help viewer.

htmlhelp.hhc.show.root
boolean

## htmlhelp.hhc.show.root

Should be entry for root element shown in ToC?
<xsl:param name="htmlhelp.hhc.show.root" select="1"/>

### Description

If set to 0, there will be no entry for root element in ToC. This is useful when you want provide user with expanded ToC as a default.

htmlhelp.hhc.folders.instead.books

## htmlhelp.hhc.folders.instead.books

<xsl:param name="htmlhelp.hhc.folders.instead.books" select="1"/>

### Description

This parameter controls whether there should be folder-like icons (1) or book-like icons (0) in ToC.

htmlhelp.title
string

## htmlhelp.title

Title of HTML Help
<xsl:param name="htmlhelp.title" select="''"/>

### Description

Content of this parameter will be used as a title for generated HTML Help. If empty, title will be automatically taken from document.

## The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all these parameters.

<!-- This file is generated from param.xweb; do not edit this file! -->

<xsl:stylesheet exclude-result-prefixes="src" version="1.0">

<!-- ******************************************************************** $Id: param.xweb,v 1.29 2002/02/10 10:21:22 kosek Exp $ ********************************************************************

This file is part of the XSL DocBook Stylesheet distribution. See ../README or http://nwalsh.com/docbook/xsl/ for copyright and other information.

******************************************************************** -->

</xsl:stylesheet>